-- TH BASE POLICY
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (0, 0, 'TH_BASE', 'WINDOWS,MAC,LINUX', 2, 2, 'PINNED,NON_BREAKING', 'REGION,ORG', 'ORG', false)
on conflict do nothing;
-- TH BASE POLICY
update segment_type
set segment_type_id=0, segment_tag=0, name='TH_BASE', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
  version_types='PINNED,NON_BREAKING', segment_scopes='REGION,ORG', assign_scopes='ORG', allow_app=false
where segment_type_id=0;

-- UBS
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (5, 5, 'UBS', 'WINDOWS,MAC,LINUX', 2, 2, 'PINNED,NON_BREAKING', 'REGION,ORG', 'ORG', false)
on conflict do nothing;
-- UBS
update segment_type
set segment_type_id=5, segment_tag=5, name='UBS', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
  version_types='PINNED,NON_BREAKING', segment_scopes='REGION,ORG', assign_scopes='ORG', allow_app=false
where segment_type_id=5;

-- Scripts Reporting
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (6, 4, 'SCRIPT_REPORT', 'WINDOWS,MAC,LINUX', 2, 2, 'PINNED,NON_BREAKING', 'REGION,ORG', 'ORG', false)
on conflict do nothing;
-- Scripts Reporting
update segment_type
set segment_type_id=6, segment_tag=4, name='SCRIPT_REPORT', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
  version_types='PINNED,NON_BREAKING', segment_scopes='REGION,ORG', assign_scopes='ORG', allow_app=false
where segment_type_id=6;

-- Tamper
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (7, 3, 'TAMPER', 'WINDOWS,MAC,LINUX', 2, 2, 'PINNED,NON_BREAKING', 'REGION,ORG', 'ORG', false)
on conflict do nothing;
-- Tamper
update segment_type
set segment_type_id=7, segment_tag=3, name='TAMPER', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
  version_types='PINNED,NON_BREAKING', segment_scopes='REGION,ORG', assign_scopes='ORG', allow_app=false
where segment_type_id=7;

-- TH Execption
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (1, 0, 'TH_EX', 'WINDOWS,MAC,LINUX', 1, 1, 'NON_BREAKING', 'ORG', 'ORG', false)
on conflict do nothing;
-- TH Exception
update segment_type
set segment_type_id=1, segment_tag=0, name='TH_EX', platforms='WINDOWS,MAC,LINUX', packaging=1, version_scheme=1,
  version_types='NON_BREAKING', segment_scopes='ORG', assign_scopes='ORG', allow_app=false
where segment_type_id=1;

-- ConfigProps Internal
insert into segment_type (segment_type_id, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (8, 'CONFIG_PROPS_INTERNAL', 'UNIVERSAL', 0, 1, 'NON_BREAKING', 'ORG', 'ORG', true)
on conflict do nothing;
-- ConfigProps Internal
update segment_type
set segment_type_id=8, name='CONFIG_PROPS_INTERNAL', platforms='UNIVERSAL', packaging=0, version_scheme=1,
  version_types='NON_BREAKING', segment_scopes='ORG', assign_scopes='ORG', allow_app=true
where segment_type_id=8;

-- DC Reporting
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (2, 1, 'DC_REPORT', 'WINDOWS,MAC,LINUX', 2, 2, 'NON_BREAKING', 'REGION,ORG', 'ORG', false)
on conflict do nothing;
-- DC Reporting
update segment_type
set segment_type_id=2, segment_tag=1, name='DC_REPORT', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
  version_types='NON_BREAKING', segment_scopes='REGION,ORG', assign_scopes='ORG', allow_app=false
where segment_type_id=2;

-- DC Blocking
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (3, 1, 'DC_BLOCK', 'WINDOWS,MAC,LINUX', 2, 2, 'NON_BREAKING', 'REGION,ORG', 'ORG', false)
on conflict do nothing;
-- DC Blocking
update segment_type
set segment_type_id=3, segment_tag=1, name='DC_BLOCK', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
  version_types='NON_BREAKING', segment_scopes='REGION,ORG', assign_scopes='ORG', allow_app=false
where segment_type_id=3;

-- DC Whitelist
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types, segment_scopes, assign_scopes, allow_app)
values (4, 1, 'DC_WHITELIST', 'WINDOWS,MAC,LINUX', 1, 1, 'NON_BREAKING', 'ORG', 'ORG', false)
on conflict do nothing;
-- DC Whitelist
update segment_type
set segment_type_id=4, segment_tag=1, name='DC_WHITELIST', platforms='WINDOWS,MAC,LINUX', packaging=1, version_scheme=1,
  version_types='NON_BREAKING', segment_scopes='ORG', assign_scopes='ORG', allow_app=false
where segment_type_id=4;
