-- add default filter_strategy for all Product Rules
update segment_type
set filter_strategies = 'DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION'
where name <> 'AMSI_ASP';

update segment_type
set filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION'
where name = 'AMSI_ASP';

-- Update scopes and version types to reflect current Product Rules deployment and management
update segment_type
set segment_scopes = 'REGION,ORG',
    assign_scopes = 'REGION,ORG',
    version_types = 'NON_BREAKING,PATCH,BUILD'
where name = 'DC_REPORT';

update segment_type
set segment_scopes = 'REGION,ORG',
    assign_scopes = 'ORG,POLICY',
    version_types = 'NON_BREAKING,PATCH,BUILD'
where name = 'DC_BLOCK';

update segment_type
set segment_scopes = 'REGION',
    assign_scopes = 'REGION,ORG',
    version_types = 'NON_BREAKING,PATCH,BUILD'
where name = 'AMSI_TI';

update segment_type
set segment_scopes = 'REGION',
    assign_scopes = 'REGION,ORG',
    version_types = 'NON_BREAKING,PATCH,BUILD'
where name = 'AMSI_ASP';

update segment_type
set segment_scopes = 'REGION,ORG',
    assign_scopes = 'REGION,ORG',
    version_types = 'PINNED,NON_BREAKING,PATCH,BUILD'
where name = 'TH_BASE';

update segment_type
set segment_scopes = 'REGION,ORG',
    assign_scopes = 'REGION,ORG',
    version_types = 'NON_BREAKING,PATCH,BUILD'
where name = 'SCRIPT_REPORT';

update segment_type
set segment_scopes = 'REGION,ORG',
    assign_scopes = 'REGION,ORG',
    version_types = 'NON_BREAKING,PATCH,BUILD'
where name = 'TAMPER';

update segment_type
set segment_scopes = 'REGION,ORG',
    assign_scopes = 'REGION,ORG',
    version_types = 'PINNED,NON_BREAKING,PATCH,BUILD'
where name = 'UBS';

update segment_type
set segment_scopes = 'REGION,ORG',
    assign_scopes = 'ORG',
    version_types = 'PINNED,NON_BREAKING,PATCH,BUILD'
where name = 'FILE_UPLOAD_TRIGGER';