-- Add new API_BYPASS_POLICY segment type per https://jira.carbonblack.local/browse/DSER-32849

-- API_BYPASS_POLICY
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme,
                          version_types, segment_scopes, assign_scopes, allow_app, filter_strategies, segment_class)
values (37, 10, 'API_BYPASS_POLICY', 'WINDOWS', 2, 2, 'PINNED,TAGGED', 'REGION', 'ORG,POLICY', false,
        'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE', 1)
    on conflict do nothing;

-- API_BYPASS_POLICY
update segment_type
set segment_type_id=37, segment_tag=10, name='API_BYPASS_POLICY', platforms='WINDOWS', packaging=2, version_scheme=2,
    version_types='PINNED,TAGGED', segment_scopes='REGION', assign_scopes='ORG,POLICY', allow_app=false,
    filter_strategies='DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE', segment_class=1
where segment_type_id=37;