-- Add new TAU segment type per DSER-32769

-- TAU
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme,
                          version_types, segment_scopes, assign_scopes, allow_app, filter_strategies, segment_class)
values (38, 10, 'TAU', 'WINDOWS,MAC,LINUX', 2, 2, 'PINNED,TAGGED', 'REGION', 'REGION,ORG,POLICY', false,
        'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE', 1)
    on conflict do nothing;

-- TAU
update segment_type
set segment_type_id=38, segment_tag=10, name='TAU', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
    version_types='PINNED,TAGGED', segment_scopes='REGION', assign_scopes='REGION,ORG,POLICY', allow_app=false,
    filter_strategies='OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE', segment_class=1
where segment_type_id=38;