-- DREC Pipeline Rule Producer
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types,
                          segment_scopes, assign_scopes, allow_app, content_type, format, storage, segment_class,
                          filter_strategies)
values (39, 12, 'UDS_PIPELINE', 'UNIVERSAL', 2, 2, 'NON_BREAKING', 'UDS,ORG', 'UDS', false, 0, 0, 0, 0,
        'DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION')
    on conflict do nothing;

update segment_type
set segment_type_id=39, segment_tag=12, name='UDS_PIPELINE', platforms='UNIVERSAL', packaging=2, version_scheme=2,
    version_types='NON_BREAKING', segment_scopes='UDS,ORG', assign_scopes='UDS', allow_app=false,
    content_type=0, format=0, storage=0, segment_class=0,
    filter_strategies='DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION'
where segment_type_id=39;

-- DREC Bundle Rule Consumer
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types,
                          segment_scopes, assign_scopes, allow_app, content_type, format, storage, segment_class,
                          filter_strategies)
values (40, 12, 'UDS_BUNDLE', 'UNIVERSAL', 2, 2, 'NON_BREAKING', 'UDS', 'VOID', false, 0, 0, 1, 0,
        'DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION')
    on conflict do nothing;

update segment_type
set segment_type_id=40, segment_tag=12, name='UDS_BUNDLE', platforms='UNIVERSAL', packaging=2, version_scheme=2,
    version_types='NON_BREAKING', segment_scopes='UDS', assign_scopes='VOID', allow_app=false, content_type=0,
    format=0, storage=1, segment_class=0, filter_strategies='DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION'
where segment_type_id=40;
