-- Sensor Kits

-- ID: 11
-- Segment Tag: NA
-- Name: SENSOR_KITS
-- Platforms: WINDOWS,MAC,LINUX
-- Packaging: DISTRO_ARCH
-- Version Scheme: DISTRO_ARCH
-- Version Types: PINNED
-- Segment Scopes: REGION
-- Assign Scopes: VOID
-- Allow App: false
-- Architectures: UNIVERSAL,BIT32,BIT64
-- Distributions: UNIVERSAL,AMAZON_LINUX,RHEL_CENTOS,UBUNTU,SUSE
-- Content Type: SENSOR_KIT
-- Format: RULE_JSON
-- Storage: S3

insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme, version_types,
                          segment_scopes, assign_scopes, allow_app, architectures, distributions, content_type, format,
                          storage)
values (11, 8, 'SENSOR_KITS', 'WINDOWS,MAC,LINUX', 3, 3, 'PINNED', 'REGION', 'VOID', false,
        'UNIVERSAL,BIT32,BIT64', 'UNIVERSAL,AMAZON_LINUX,RHEL_CENTOS,UBUNTU,SUSE', 1, 1, 1)
on conflict do nothing;

-- Sensor Kits
update segment_type
set segment_type_id=11,
    segment_tag=8,
    name='SENSOR_KITS',
    platforms='WINDOWS,MAC,LINUX',
    packaging=3,
    version_scheme=3,
    version_types='PINNED',
    segment_scopes='REGION',
    assign_scopes='VOID',
    allow_app= false,
    architectures='UNIVERSAL,BIT32,BIT64',
    distributions='UNIVERSAL,AMAZON_LINUX,RHEL_CENTOS,UBUNTU,SUSE',
    content_type=1,
    format=1,
    storage=1
where segment_type_id = 11;