-- Add net new segment types and update existing privilege escalation types for DSER-32924

-- IOAS
insert into segment_type (segment_type_id, segment_tag, name, platforms, packaging, version_scheme,
                          version_types, segment_scopes, assign_scopes, allow_app, filter_strategies, segment_class)
values (36, 2, 'IOAS', 'WINDOWS,MAC,LINUX', 2, 2, 'PINNED,TAGGED', 'REGION', 'REGION,ORG,POLICY', false,
        'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE', 1)
    on conflict do nothing;

-- IOAS
update segment_type
set segment_type_id=36, segment_tag=2, name='IOAS', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
    version_types='PINNED,TAGGED', segment_scopes='REGION', assign_scopes='REGION,ORG,POLICY', allow_app=false,
    filter_strategies='DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE', segment_class=1
where segment_type_id=36;

-- UPDATE PRIV_ESC_REPORT
update segment_type
set segment_type_id=26, segment_tag=2, name='PRIV_ESC_REPORT', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
    version_types='PINNED,TAGGED', segment_scopes='REGION', assign_scopes='REGION,ORG,POLICY', allow_app=false,
    filter_strategies='DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE', segment_class=1
where segment_type_id=26;

-- PRIV_ESC_BLOCK
update segment_type
set segment_type_id=27, segment_tag=2, name='PRIV_ESC_BLOCK', platforms='WINDOWS,MAC,LINUX', packaging=2, version_scheme=2,
    version_types='PINNED,TAGGED', segment_scopes='REGION', assign_scopes='REGION,ORG,POLICY', allow_app=false,
    filter_strategies='OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE', segment_class=1
where segment_type_id=27;