-- DSER-354044 Add new SENSOR_VERSION filter strategy to all segments

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'HASHBAN';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'TH_BASE';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'UBS';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'DC_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'AMSI_ASP';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'LAT_MOVE_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'DISCOVERY_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'DISCOVERY_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,SENSOR_VERSION'
where name = 'DN_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,SENSOR_VERSION'
where name = 'DN_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,SENSOR_VERSION'
where name = 'PRIV_ESC_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'AMSI_ALLOW';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'APPHOOK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'RANSOMWARE';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'CRED_THEFT_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'CBTI_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,SENSOR_VERSION'
where name = 'PRIV_ESC_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'LAT_MOVE_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'CBTI_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,SENSOR_VERSION'
where name = 'IOAS';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,SENSOR_VERSION'
where name = 'API_BYPASS_POLICY';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'TELEMETRY';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,SENSOR_VERSION'
where name = 'TAU';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'FILE_UPLOAD_TRIGGER';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'CRED_THEFT_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'RANSOM_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'OPT_OUT,DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'RANSOM_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'CONFIG_PROPS_INTERNAL';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'AMSI_DETECT_AND_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'DC_ALLOW';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'DC_BLOCK';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'AMSI_TI';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'SCRIPT_REPORT';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,SENSOR_VERSION'
where name = 'TH_EX';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'CBD';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'TAMPER';

----------------------------------------------------------------------------------------------

update segment_type
set
    filter_strategies = 'DEDUP_SEGMENT_DATA,MOST_EXPLICIT_SCOPE,HIGHEST_SEMANTIC_VERSION,SENSOR_VERSION'
where name = 'TEST';

----------------------------------------------------------------------------------------------
